<form [formGroup]="formGroup"  class="flex flex-col px-6 py-8 space-y-4 text-left">
  <p class="pb-6 font-medium">새로운 비밀번호를 입력해 주세요.</p>
  <div>
    <p class="text-xs text-neutral40">비밀번호 입력</p>
    <app-input w="full"
    [message]="formGroup.get('password')?.value && formGroup.get('password')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
    [color]="formGroup.get('password')?.invalid ? 'error' : 'primary'">
    <input class="w-full p-2 border-b border-border" type="password" placeholder="비밀번호" formControlName="password" />
    </app-input> 
  </div> 
  <app-input w="full"
  [message]="formGroup.get('rePassword')?.value && formGroup.get('rePassword')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
  [color]="formGroup.get('rePassword')?.invalid ? 'error' : 'primary'">
  <input class="w-full p-2 border-b border-border" type="password" placeholder="비밀번호 확인" formControlName="rePassword" />
  </app-input>  
  <div class="flex space-x-1 text-[#AAA]">
    <p class="leading-4">•</p>
    <p class="flex-1 text-xs font-medium text-left">비밀번호는 8~26자의 영문 대소문자, 숫자, 특수문자를 조합하여 설정해 주세요.</p>
  </div>
  <div class="flex justify-end w-full">
    @if(formGroup.invalid || formGroup.get('rePassword')?.value !== formGroup.get('password')?.value){
      <app-button class="px-4 !bg-gray-300 !border-none">저장</app-button> 
    }@else {
      <app-button class="px-4" (click)="onSubmit()">저장</app-button>  
    } 
  </div>
</form>